summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave {at} gmail {dot} com>2010-05-12 23:31:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:31:49 +0200
commita6c9cb640c2f3d12b8472f52ec893d144218988c (patch)
tree113bee750ff16b207a66d43e1249b506fa3b0b56
parent0ccbc895d81d4a2116aad92d80d0e348de8b96b1 (diff)
downloadslackbuilds-a6c9cb640c2f3d12b8472f52ec893d144218988c.tar.gz
slackbuilds-a6c9cb640c2f3d12b8472f52ec893d144218988c.tar.xz
multimedia/mjpegtools: Added to 12.2 repository
-rw-r--r--multimedia/mjpegtools/README11
-rw-r--r--multimedia/mjpegtools/mjpegtools.SlackBuild102
-rw-r--r--multimedia/mjpegtools/mjpegtools.info8
-rw-r--r--multimedia/mjpegtools/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/multimedia/mjpegtools/README b/multimedia/mjpegtools/README
new file mode 100644
index 0000000000..ab4849027d
--- /dev/null
+++ b/multimedia/mjpegtools/README
@@ -0,0 +1,11 @@
+The mjpeg programs are a set of tools that can do recording of videos and
+playback, simple cut-and-paste editing and the MPEG compression of audio
+and video under Linux.
+
+Recording is supported for the Zoran based cards like the Buz (Iomega),
+DC10 (MIRO, Pinnacle), Matrox Marvel cards and the LML33 (Linux Media Labs).
+See related pages to the right to find the right driver for your card.
+The recorded videos can be converted to MPEG streams. The software playback
+of MPEG streams works with almost every player and every OS.
+You can produce special forms of MPEG streams like VCD (Video CD) and SVCD
+for hardware playback.
diff --git a/multimedia/mjpegtools/mjpegtools.SlackBuild b/multimedia/mjpegtools/mjpegtools.SlackBuild
new file mode 100644
index 0000000000..e5a9c0719d
--- /dev/null
+++ b/multimedia/mjpegtools/mjpegtools.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for mjpegtools 11/01/2009
+# Updated for Slackware64 28/05/2009
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mjpegtools
+VERSION=1.9.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-x \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS CHANGES COPYING ChangeLog HINTS INSTALL* \
+ NEWS PLANS README TODO docs/FAQ.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mjpegtools/mjpegtools.info b/multimedia/mjpegtools/mjpegtools.info
new file mode 100644
index 0000000000..8131081311
--- /dev/null
+++ b/multimedia/mjpegtools/mjpegtools.info
@@ -0,0 +1,8 @@
+PRGNAM="mjpegtools"
+VERSION="1.9.0"
+HOMEPAGE="http://mjpeg.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mjpeg/mjpegtools-1.9.0.tar.gz"
+MD5SUM="309a6fcf0900a010d6a9c1e91afc2f5c"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave {at} gmail {dot} com"
+APPROVED="dsomero"
diff --git a/multimedia/mjpegtools/slack-desc b/multimedia/mjpegtools/slack-desc
new file mode 100644
index 0000000000..364f758663
--- /dev/null
+++ b/multimedia/mjpegtools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+mjpegtools: mjpegtools (video recording/playback tools)
+mjpegtools:
+mjpegtools: The mjpeg programs are a set of tools that can do recording of videos
+mjpegtools: and playback, simple cut-and-paste editing and the MPEG compression
+mjpegtools: of audio and video under Linux.
+mjpegtools:
+mjpegtools: The recorded videos can be converted to MPEG streams. The software
+mjpegtools: playback of MPEG streams works with almost every player and every OS.
+mjpegtools: You can produce special forms of MPEG streams like VCD (Video CD) and
+mjpegtools: SVCD for hardware playback.
+mjpegtools: